Update webhook subscription
curl --request PATCH \
--url https://api.app.hrizn.io/v1/public/webhooks/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"url": "<string>",
"events": [],
"is_active": true
}
'import requests
url = "https://api.app.hrizn.io/v1/public/webhooks/{id}"
payload = {
"url": "<string>",
"events": [],
"is_active": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [], is_active: true})
};
fetch('https://api.app.hrizn.io/v1/public/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [], is_active: true})
};
fetch('https://api.app.hrizn.io/v1/public/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'events' => [
],
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"is_active": true,
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Update webhook subscription
PATCH
/
webhooks
/
{id}
Update webhook subscription
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
Webhook subscription ID
Body
application/json
Minimum array length:
1Available options:
ideacloud.completed, ideacloud.failed, content.progress, content.completed, content.failed, content.published, content.unpublished, content.scheduled, content.approval.submitted, content.approval.approved, content.approval.rejected, content.approval.escalated, content.approval.overridden, compliance.completed, content_tools.completed, inventory.description.completed, inventory.description.batch_completed, inventory.feed.updated, social.post.published, social.post.scheduled, social.post.failed, social.review.created, social.review.updated Last modified on August 3, 2026
⌘I
